# Get certificate by VIN

Returns certificate links for a vehicle identified by VIN. The certificate can be displayed as a widget, opened as a one-page view or downloaded as PDF in available languages.

Endpoint: GET /api/v1/{apiKey}/certificate/vin/{vin}
Version: 1.0.0

## Path parameters:

  - `apiKey` (string, required)
    Certificate API key issued by VirtualCar360 support for a location or organization.
    Example: "a0d8eb5cd984c08a58e7b88a"

  - `vin` (string, required)
    Vehicle identification number.
    Example: "WVWZZZ3H5RE500898"

## Response 200 fields (application/json):

  - `widget` (string)
    URL of the certificate widget that can be embedded in an iframe.
    Example: "https://certificate.vc360.app/widget/inspection-pia/1f093ac5-dd71-6f24-8abc-c735770b85d5/pl"

  - `onepage` (string)
    URL of the full one-page certificate.
    Example: "https://certificate.vc360.app/certificate/inspection-pia/1f093ac5-dd71-6f24-8abc-c735770b85d5/pl"

  - `pdf` (array)
    Available PDF certificate versions.

  - `pdf.language` (string)
    PDF language code.
    Example: "en"

  - `pdf.code` (string)
    PDF template or document code.
    Example: "pia-pdf"

  - `pdf.fileUrl` (string)
    Temporary URL to the generated PDF file.
    Example: "https://vc360inspectionstorage.blob.core.windows.net/inspectiondata/2025/pdf/example/example-pia-pdf-en.pdf"

## Response 400 fields (application/json):

  - `status` (string)
    Error status.
    Example: "error"

  - `message` (string)
    Error message.
    Example: "Certificate not found."


